Description

Associated revisions

Revision 426 - 03/17/2013 06:04 AM - Luke Murphey

Euripides can now be imported. Closes #571.

Revision 426 - 03/17/2013 06:04 AM - Luke Murphey

Euripides can now be imported. Closes #571.

Revision 416 - 03/17/2013 06:04 AM - Luke Murphey

Euripides can now be imported. Closes #571.

History

#1 - 03/17/2013 04:11 AM - Luke Murphey

Need to use line numbers and other related settings from Greek works

#2 - 03/17/2013 04:20 AM - Luke Murphey

"Iphigenia in Aulis" by Coleridge has bad verse markers at the beginning.

#3 - 03/17/2013 04:23 AM - Luke Murphey

Actually, it looks the Greek has line numbers that off too.

#4 - 03/17/2013 04:24 AM - Luke Murphey

Rhesus by Gilbert Murray doesn't import at all.

#5 - 03/17/2013 04:43 AM - Luke Murphey

Here is the error:

2013-03-16 23:10:54,893 [ERROR] reader.importer.PerseusBatchImporter: Exception generated when attempting to p

rocess file="eur.rh.mur_eng.xml" 

Traceback (most recent call last):

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/PerseusBatchImporter.py", 

line 148, in process_directory

    if self.__process_file__( os.path.join( root, f) ):

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/PerseusBatchImporter.py", 

line 98, in __process_file__

    return self.process_file(file_path, document_xml, title, author, language, editor)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/PerseusBatchImporter.py", 

line 284, in process_file

    perseus_importer.import_file(file_path)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", line 161, in 

import_file
    return self.import_xml_document(doc)

  File "/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/django/db/transaction.py

", line 209, in inner

    return func(*args, **kwargs)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", line 752, in 

import_xml_document

    divisions = self.import_body_sub_node(body_node, current_state_set)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", line 1322, in

 import_body_sub_node

    created_division_node = self.import_body_sub_node(node, state_set, import_context, True, parent_node=next_

level_node)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", line 1221, in

 import_body_sub_node

    self.make_division(import_context=import_context, descriptor=descriptor, state_info=self.get_state_for_mil

estone(state_set, node))

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", line 269, in 

make_division

    self.close_division(import_context, new_division)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", line 173, in 

close_division

    self.update_line_count_info(import_context, reset_start_line_count=False)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", line 921, in 

update_line_count_info

    new_line_number = PerseusTextImporter.get_line_count(import_context.document, import_context.line_number_e

nd)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/Perseus.py", line 900, in 

get_line_count

    new_line_number = LineNumber(value=new_line_count)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/__init__.py", line 28, in 

__init__

    self.set(value)

  File "/Users/lmurphey/Documents/SP/Workspace/TextCritical.com/src/reader/importer/__init__.py", line 53, in 

set

    raise Exception("Line number could not be parsed: %s" % value)

Exception: Line number could not be parsed: tr

#6 - 03/17/2013 06:04 AM - Luke Murphey

- Status changed from New to Closed

05/07/2024 2/3



- % Done changed from 0 to 100

Applied in changeset r426.
